Language

Package: allegro @ 4.4.3.1

Synopsis

Game programming library

Description

Allegro is a library mainly aimed at video game and multimedia programming. It handles common, low-level tasks such as creating windows, accepting user input, loading data, drawing images, playing sounds, etc.

Home page
https://liballeg.org
Location
gnu/packages/game-development.scm (line: 852, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/i0v44mkb034y737ggp9dmbj3rkb6igzy-allegro-4.4.3.1.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/hzjl6ljalk5z2x5375h0770sncj83bq3-allegro-4.4.3.1.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/wcmnidng5129hnc1sj58qjv2513i6s0i-allegro-4.4.3.1.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/cs4abcdbzkd535bbg9if7fcb8xd5h44y-allegro-4.4.3.1.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/c7rnnbx7znpdinhkcv830vzvilh1z8jp-allegro-4.4.3.1.drv
x86_64-linuxi686-w64-mingw32/gnu/store/jl9qhgxwvsgvak87ghfrnmin1m8wrhx7-allegro-4.4.3.1.drv
x86_64-linuxi586-pc-gnu/gnu/store/qp30hn9vks395cif04wf0sp5pxmf71aa-allegro-4.4.3.1.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/2fg388682vbin028zpva9rzc84xbi7f5-allegro-4.4.3.1.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/fdr2bzyscxbzjkkr0610v1yp2ks6i3v4-allegro-4.4.3.1.drv
riscv64-linux/gnu/store/74k7afzh3xl8qlyki07n2spyrb6lazhi-allegro-4.4.3.1.drv
    powerpc-linux/gnu/store/g0f3gch48izdrb9nfv2yjnxl21ih76xp-allegro-4.4.3.1.drv
      powerpc64le-linux/gnu/store/8j1dbz43p6xrkiji17w5p38s1gvl7pjv-allegro-4.4.3.1.drv
      mips64el-linux/gnu/store/67gmjl9256w0ymwd4r1yqk1nln9ph974-allegro-4.4.3.1.drv
        i686-linux/gnu/store/krgy12pv69pp8pi51aij4ac3nqnxq1gj-allegro-4.4.3.1.drv
        i586-gnu/gnu/store/f4q2gvq3cv9npb6hn4nxgzx0hmdrdvyk-allegro-4.4.3.1.drv
        armhf-linux/gnu/store/29i2mp0likgyny03ifi2vb1dhlr0v5aj-allegro-4.4.3.1.drv
        aarch64-linux/gnu/store/lb7jpr07cz1knk82r6w7dp0l7jqlykhy-allegro-4.4.3.1.drv

        Lint warnings

        LinterMessageLocation
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fb2d2987dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f3e6bc77dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f62abeb7dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fa23c1dddc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f0f10522dc0> input: ("_" "static")>